rules:
  # Bronze
  config-flow: done
  test-before-configure: done
  unique-config-entry: done
  config-flow-test-coverage: done
  runtime-data: done
  test-before-setup: done
  appropriate-polling: done
  entity-unique-id: done
  has-entity-name: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities doesn't subscribe to events.
  dependency-transparency: done
  action-setup:
    status: exempt
    comment: |
      No integrations services.
  common-modules: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  docs-actions: done
  brands: done
  # Silver
  config-entry-unloading: done
  log-when-unavailable: done
  entity-unavailable:
    status: done
    comment: |
      Move to base entity for common handling
  action-exceptions: done
  reauthentication-flow: done
  parallel-updates: done
  test-coverage:
    status: done
    comment: |
      Tests are very complex and needs a rewrite for future additions
  integration-owner: done
  docs-installation-parameters: done
  docs-configuration-parameters:
    status: exempt
    comment: |
      This integration has no options flow.

  # Gold
  entity-translations: done
  entity-device-class: done
  devices: done
  entity-category: done
  entity-disabled-by-default: done
  discovery: done
  stale-devices: done
  diagnostics:
    status: done
    comment: |
      Change to only use redact once
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: done
  dynamic-devices: done
  discovery-update-info:
    status: exempt
    comment: |
      No local network connection, cloud based.
  repair-issues:
    status: exempt
    comment: |
      This integration doesn't have any cases where raising an issue is needed.
  docs-use-cases: done
  docs-supported-devices: done
  docs-supported-functions: done
  docs-data-update: done
  docs-known-limitations: done
  docs-troubleshooting: done
  docs-examples: done

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
